Bug 437296 - TFTP creates new empty file when the file is not found
TFTP creates new empty file when the file is not found
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tftp (Show other bugs)
4.6
All Linux
low Severity low
: rc
: ---
Assigned To: Jiri Skala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 09:24 EDT by Petr Sklenar
Modified: 2014-11-09 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 09:14:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-03-13 09:24:26 EDT
Description of problem:


Version-Release number of selected component (if applicable):
all version of tftp-server, on fedora, on rhel4
for ex: 
#rpm -q tftp tftp-server
tftp-0.39-2.x86_64
tftp-server-0.39-2.x86_64

How reproducible:
always

Steps to Reproduce:
tftp server, its IP = 192.168.76.183
1. #start tftp server
/usr/sbin/in.tftpd -s /tftpboot -l
2. # create file in /tftpboot
ls /tftpboot/
test.test
##>>>>there is only ONE file
--------------------
tftp client:
1.
# tftp 192.168.76.183
tftp> get test.test
tftp> get i_dont_exist
Error code 1: File not found
tftp> quit
2.
# ls test.test -la
-rw-r--r--  1 root devqa7 5 Mar 13 08:30 test.test
# ls i_dont_exist -la
-rw-r--r--  1 root devqa7 0 Mar 13 08:30 i_dont_exist
>>there is empty file with name "i_dont_exist"

Actual results:
it creates new empty file when the file is not found

Expected results:
when file is not found it shouldn't create new empty file with that name

Additional info:
It should be same as FTP sever. FTP server doesn't create new empty file when
that file is not found.

Note You need to log in before you can comment on or make changes to this bug.